﻿namespace Adapter
{
    using UMK.WzorceStrukturalne;

    class Program
    {
        static void Main(string[] args)
        {
            Punkt środekTrójkąta = new Punkt(10.0f, 10.0f);
            TrójkątForemny trójkątForemny = new TrójkątForemny(środekTrójkąta, 5.0f);
            Klient.WyświetlInformacjeOFigurze(trójkątForemny);

            Punkt środekKwadratu = new Punkt(10.0f, 20.0f);
            ProstokątForemny kwadrat = new ProstokątForemny(środekKwadratu, 5.0f);
            Klient.WyświetlInformacjeOFigurze(kwadrat);

            Prostokąt prostokąt = new Prostokąt(new Punkt(7.5f, 17.5f), new Punkt(12.5f, 22.5f));
            ProstokątForemny kwadrat2 = new ProstokątForemny(prostokąt);
            Klient.WyświetlInformacjeOFigurze(kwadrat2);

            Prostokąt prostokątZły = new Prostokąt(new Punkt(7.5f, 17.5f), new Punkt(12.5f, 25f));
            ProstokątForemny kwadratZły = new ProstokątForemny(prostokątZły);
            Klient.WyświetlInformacjeOFigurze(kwadratZły);
        }
    }
}
